Bug 1278470 - No Heat related events show up in the Timelines for the Openstack Platform Director prov
No Heat related events show up in the Timelines for the Openstack Platform Di...
Status: CLOSED ERRATA
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Providers (Show other bugs)
5.5.0
Unspecified Unspecified
medium Severity high
: GA
: 5.5.0
Assigned To: Ladislav Smola
Marius Cornea
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-05 09:51 EST by Marius Cornea
Modified: 2015-12-08 08:44 EST (History)
10 users (show)

See Also:
Fixed In Version: 5.5.0.11
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-08 08:44:57 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Marius Cornea 2015-11-05 09:51:48 EST
Description of problem:
There are no Heat related events showing up in the Timelines for the Openstack Platform Director provider. 

Version-Release number of selected component (if applicable):
5.5.0.9-beta2.20151102161742_5530c9a

How reproducible:
100%

Steps to Reproduce:
1. Add Openstack Platform Director provider.
2. Enable notifications on the undercloud for Heat and Nova:
/etc/heat/heat.conf
notification_driver=messaging
notification_topics=notifications
/etc/nova/nova.conf
notification_driver=messaging
notification_topics=notifications
3. Scale out the Openstack Platform Director provider with an additional compute node
4. Go to the provider Timelines
5. Select Power Activity, Configuration/Reconfiguration and Creation/Addition event groups

Actual results:
Only the power activity - compute.instance.create.end events show up.

Expected results:
stack.update events show up in the Timelines.
Comment 2 Greg McCullough 2015-11-09 16:25:48 EST
For events to show on the timeline they still need to be defined in the /config/event_handling.tmpl.yml file under the event_groups section.

For example, searching for "compute.instance.create.end" in the file shows it defined under 

event_groups:
  power:
    :critical:


I am reassigning this Bug to the providers component as I feel it will require someone there to define the list of events that should be visible on the timeline and place them in the proper event_group section.
Comment 3 Greg Blomquist 2015-11-12 10:54:18 EST
We don't collect any events from Heat today.

Ladas, can you figure out if there are any Heat events that we can capture?
Comment 4 Greg Blomquist 2015-11-12 11:37:29 EST
I was wrong .. Ladas said we had heat events in 5.4 and now they're not working in 5.5.

This might either be broken from the Rabbit side, or be broken in the new event switchboard.
Comment 5 Ladislav Smola 2015-11-13 06:40:29 EST
I think we have identified the problem with Marius, the infra worker is using settings of cloud worker for some reason https://github.com/ManageIQ/manageiq/blob/master/config/vmdb.tmpl.yml#L295
Comment 6 Ladislav Smola 2015-11-13 07:40:12 EST
https://github.com/ManageIQ/manageiq/pull/5424
Comment 8 CFME Bot 2015-11-13 11:20:54 EST
New commit detected on ManageIQ/manageiq/master:
https://github.com/ManageIQ/manageiq/commit/99b8e6ebd54c24b914375180ee4b473952b3c76c

commit 99b8e6ebd54c24b914375180ee4b473952b3c76c
Author:     Ladislav Smola <lsmola@redhat.com>
AuthorDate: Fri Nov 13 13:28:35 2015 +0100
Commit:     Ladislav Smola <lsmola@redhat.com>
CommitDate: Fri Nov 13 13:37:26 2015 +0100

    Defining specific setting for openstack_infra
    
    Due to class renaming and scoping, the settings_name method in
    the base worker class MiqWorker, generates a bad settings name
    for openstack infra.
    
    Before there was openstack_infra in the class, now it's openstack
    for both cloud and infra. So we need to explicitly specify
    different settings_name for infra now.
    
    This Bug was visible only for event collecting, since other
    workers have the same settings by default.
    
    Fixes BZ:
    https://bugzilla.redhat.com/show_bug.cgi?id=1278470

 .../manageiq/providers/openstack/infra_manager/event_catcher.rb       | 4 ++++
 .../providers/openstack/infra_manager/metrics_collector_worker.rb     | 4 ++++
 .../manageiq/providers/openstack/infra_manager/refresh_worker.rb      | 4 ++++
 3 files changed, 12 insertions(+)
Comment 9 CFME Bot 2015-11-13 13:18:54 EST
New commit detected on cfme/5.5.z:
https://code.engineering.redhat.com/gerrit/gitweb?p=cfme.git;a=commitdiff;h=02aa1e498c1e305d800f655b4b0b9cbfafaf2266

commit 02aa1e498c1e305d800f655b4b0b9cbfafaf2266
Author:     Ladislav Smola <lsmola@redhat.com>
AuthorDate: Fri Nov 13 13:28:35 2015 +0100
Commit:     Ladislav Smola <lsmola@redhat.com>
CommitDate: Fri Nov 13 17:16:02 2015 +0100

    Defining specific setting for openstack_infra
    
    Due to class renaming and scoping, the settings_name method in
    the base worker class MiqWorker, generates a bad settings name
    for openstack infra.
    
    Before there was openstack_infra in the class, now it's openstack
    for both cloud and infra. So we need to explicitly specify
    different settings_name for infra now.
    
    This Bug was visible only for event collecting, since other
    workers have the same settings by default.
    
    Fixes BZ:
    https://bugzilla.redhat.com/show_bug.cgi?id=1278470

 .../manageiq/providers/openstack/infra_manager/event_catcher.rb       | 4 ++++
 .../providers/openstack/infra_manager/metrics_collector_worker.rb     | 4 ++++
 .../manageiq/providers/openstack/infra_manager/refresh_worker.rb      | 4 ++++
 3 files changed, 12 insertions(+)
Comment 10 CFME Bot 2015-11-13 13:19:01 EST
New commit detected on cfme/5.5.z:
https://code.engineering.redhat.com/gerrit/gitweb?p=cfme.git;a=commitdiff;h=8feecae453c3c4a4cc7430fe087442f01dc9cea3

commit 8feecae453c3c4a4cc7430fe087442f01dc9cea3
Merge: 757f92d 02aa1e4
Author:     Greg Blomquist <gblomqui@redhat.com>
AuthorDate: Fri Nov 13 11:24:52 2015 -0500
Commit:     Greg Blomquist <gblomqui@redhat.com>
CommitDate: Fri Nov 13 11:24:52 2015 -0500

    Merge branch 'bz1278470' into '5.5.z'
    
    Defining specific setting for openstack_infra
    
    Due to class renaming and scoping, the settings_name method in
    the base worker class MiqWorker, generates a bad settings name
    for openstack infra.
    
    Before there was openstack_infra in the class, now it's openstack
    for both cloud and infra. So we need to explicitly specify
    different settings_name for infra now.
    
    This Bug was visible only for event collecting, since other
    workers have the same settings by default.
    
    Clean cherry pick of:
    https://github.com/ManageIQ/manageiq/pull/5424/
    
    Fixes BZ:
    https://bugzilla.redhat.com/show_bug.cgi?id=1278470
    
    See merge request !444

 .../manageiq/providers/openstack/infra_manager/event_catcher.rb       | 4 ++++
 .../providers/openstack/infra_manager/metrics_collector_worker.rb     | 4 ++++
 .../manageiq/providers/openstack/infra_manager/refresh_worker.rb      | 4 ++++
 3 files changed, 12 insertions(+)
Comment 12 errata-xmlrpc 2015-12-08 08:44:57 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2015:2551

Note You need to log in before you can comment on or make changes to this bug.